NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Die.DrawBeadSegmentBuilder Class Reference

Segment builder for Die Engineering draw bead. More...

Inheritance diagram for NXOpen.Die.DrawBeadSegmentBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  MaleBeadWidthTypes { Constant, Derived }
 value for how the male width is specified. More...
 

Public Member Functions

unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
EndLocation [get]
 Returns the end location along the centerline for this segment. More...
 
unsafe NXOpen.Expression FemaleLeftRadius [get]
 Returns the expression containing the female left radius value. More...
 
unsafe NXOpen.Expression FemaleRightRadius [get]
 Returns the expression containing the female right radius value. More...
 
unsafe bool Flow [get, set]
 Returns or sets the value identifying if the segment is of flow type (the top radius is half the width). More...
 
unsafe NXOpen.Expression MaleBeadHeight [get]
 Returns the expression containing the male bead height value. More...
 
unsafe
NXOpen.Die.DrawBeadSegmentBuilder.MaleBeadWidthTypes 
MaleBeadWidthType [get, set]
 Returns or sets the male bead width type. More...
 
unsafe NXOpen.Expression MaleLeftSheetRadius [get]
 Returns the expression containing the male sheet radius value for the "Left" side. More...
 
unsafe NXOpen.Expression MaleLeftTopRadius [get]
 Returns the expression containing the male top radius value for the "Left" side. More...
 
unsafe NXOpen.Expression MaleLeftWallAngle [get]
 Returns the expression containing the male wall angle value for the "Left" side. More...
 
unsafe NXOpen.Expression MaleLeftWidth [get]
 Returns the expression containing the male width value for the "left" side. More...
 
unsafe NXOpen.Expression MaleRightSheetRadius [get]
 Returns the expression containing the male sheet radius value for the "Right" side. More...
 
unsafe NXOpen.Expression MaleRightTopRadius [get]
 Returns the expression containing the male top radius value for the "Right" side. More...
 
unsafe NXOpen.Expression MaleRightWallAngle [get]
 Returns the expression containing the male wall angle value for the "Right" side. More...
 
unsafe NXOpen.Expression MaleRightWidth [get]
 Returns the expression containing the male width value for the "Right" side. More...
 
unsafe NXOpen.Expression MaleTransitionLength [get]
 Returns the expression containing the male transition length value. More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
StartLocation [get]
 Returns the start location along the centerline for this segment. More...
 
unsafe bool Symmetry [get, set]
 Returns or sets the value identifying that the male width is symmetrical about the location and reference direction. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Segment builder for Die Engineering draw bead.

The segment is defined along the centerline by either a single point (and then the next segment) or 2 end points along the segment.

To create a new instance of this class, use NXOpen.Die.DrawBeadBuilder.CreateDrawBeadSegment

Created in NX7.5.0

Member Enumeration Documentation

value for how the male width is specified.

Enumerator
Constant 

The male bead width is specified by a constant value.

Derived 

The male bead width is derived from the width specified for the female.

Member Function Documentation

unsafe bool NXOpen.Die.DrawBeadSegmentBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Die.DrawBeadSegmentBuilder.EndLocation
get

Returns the end location along the centerline for this segment.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.DrawBeadSegmentBuilder.FemaleLeftRadius
get

Returns the expression containing the female left radius value.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.DrawBeadSegmentBuilder.FemaleRightRadius
get

Returns the expression containing the female right radius value.

Created in NX7.5.0

License requirements: None.

unsafe bool NXOpen.Die.DrawBeadSegmentBuilder.Flow
getset

Returns or sets the value identifying if the segment is of flow type (the top radius is half the width).

Only allowed if the bead is symmetric.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Die.DrawBeadSegmentBuilder.MaleBeadHeight
get

Returns the expression containing the male bead height value.

The height is measured from the centerline to the top of the bead.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Die.DrawBeadSegmentBuilder.MaleBeadWidthTypes NXOpen.Die.DrawBeadSegmentBuilder.MaleBeadWidthType
getset

Returns or sets the male bead width type.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Die.DrawBeadSegmentBuilder.MaleLeftSheetRadius
get

Returns the expression containing the male sheet radius value for the "Left" side.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.DrawBeadSegmentBuilder.MaleLeftTopRadius
get

Returns the expression containing the male top radius value for the "Left" side.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.DrawBeadSegmentBuilder.MaleLeftWallAngle
get

Returns the expression containing the male wall angle value for the "Left" side.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.DrawBeadSegmentBuilder.MaleLeftWidth
get

Returns the expression containing the male width value for the "left" side.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.DrawBeadSegmentBuilder.MaleRightSheetRadius
get

Returns the expression containing the male sheet radius value for the "Right" side.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.DrawBeadSegmentBuilder.MaleRightTopRadius
get

Returns the expression containing the male top radius value for the "Right" side.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.DrawBeadSegmentBuilder.MaleRightWallAngle
get

Returns the expression containing the male wall angle value for the "Right" side.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.DrawBeadSegmentBuilder.MaleRightWidth
get

Returns the expression containing the male width value for the "Right" side.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.DrawBeadSegmentBuilder.MaleTransitionLength
get

Returns the expression containing the male transition length value.

The transition length is between bead segments.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Die.DrawBeadSegmentBuilder.StartLocation
get

Returns the start location along the centerline for this segment.

Created in NX7.5.0

License requirements: None.

unsafe bool NXOpen.Die.DrawBeadSegmentBuilder.Symmetry
getset

Returns or sets the value identifying that the male width is symmetrical about the location and reference direction.

True indictaes that it is symmetrical.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.